Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlPanelMenuGroup

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      org.richfaces.component.UIPanelMenuGroup
                          org.richfaces.component.html.HtmlPanelMenuGroup

All Implemented Interfaces:
  javax.faces.component.ActionSource, javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, javax.faces.component.ValueHolder

    public class HtmlPanelMenuGroup

extends UIPanelMenuGroup

Component-Type org.richfaces.PanelMenuGroup Component-Family org.richfaces.PanelMenuGroup Renderer-Type org.richfaces.PanelMenuGroupRenderer Defines expandable group of items inside the panel menu or other group.

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID`

Constructor Summary
`HtmlPanelMenuGroup()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getAccesskey()` This attribute assigns an access key to an element.
`java.lang.String` | `getAlign()` left|center|right|justify [CI] Deprecated.
`java.lang.String` | `getAlt()` For a user agents that cannot display images, forms, or applets, this attribute specifies alternate text.
`java.lang.String` | `getDisabledClass()` Class to be applied to disabled items.
`java.lang.String` | `getDisabledStyle()` CSS style rules to be applied to disabled items.
`java.lang.String` | `getExpandMode()` Set the submission mode for all panel menu groups after expand/collapse except ones where this attribute redefined.
`java.lang.String` | `getFamily()`
`java.lang.String` | `getHoverClass()` Class to be applied to hovered items.
`java.lang.String` | `getHoverStyle()` CSS style rules to be applied to hovered items.
`java.lang.String` | `getIconClass()` Class to be applied to icon element.
`java.lang.String` | `getIconCollapsed()` Path to the icon to be displayed for the collapsed item state Getter for iconCollapsed
`java.lang.String` | `getIconDisabled()` Path to the icon to be displayed for the disabled item state Getter for iconDisabled
`java.lang.String` | `getIconExpanded()` Path to the icon to be displayed for the expanded item state Getter for iconExpanded
`java.lang.String` | `getIconStyle()` CSS style rules to be applied Getter for iconStyle
`java.lang.String` | `getLabel()` Displayed node's text Getter for label
`int` | `getMaxlength()` When the type attribute has the value "text" or "password", this attribute specifies the maximum number of characters the user may enter.
`java.lang.String` | `getName()` 'selectedChild' attribute of PanelMenu refers to group/item with the same name Getter for name
`java.lang.String` | `getOnblur()` HTML: script expression; the element lost the focus Getter for onblur
`java.lang.String` | `getOnchange()` HTML: script expression; the element value was changed Getter for onchange
`java.lang.String` | `getOnclick()` HTML: a script expression; a pointer button is clicked Getter for onclick
`java.lang.String` | `getOncollapse()` HTML: script expression; group was closed Getter for oncollapse
`java.lang.String` | `getOndblclick()` HTML: a script expression; a pointer button is double-clicked Getter for ondblclick
`java.lang.String` | `getOnexpand()` HTML: script expression; group was opened Getter for onexpand
`java.lang.String` | `getOnfocus()` HTML: script expression; the element got the focus Getter for onfocus
`java.lang.String` | `getOnkeydown()` HTML: a script expression; a key is pressed down Getter for onkeydown
`java.lang.String` | `getOnkeypress()` HTML: a script expression; a key is pressed and released Getter for onkeypress
`java.lang.String` | `getOnkeyup()` HTML: a script expression; a key is released Getter for onkeyup
`java.lang.String` | `getOnmousedown()` HTML: script expression; a pointer button is pressed down Getter for onmousedown
`java.lang.String` | `getOnmousemove()` HTML: a script expression; a pointer is moved within Getter for onmousemove
`java.lang.String` | `getOnmouseout()` HTML: a script expression; a pointer is moved away Getter for onmouseout
`java.lang.String` | `getOnmouseover()` HTML: a script expression; a pointer is moved onto Getter for onmouseover
`java.lang.String` | `getOnmouseup()` HTML: script expression; a pointer button is released Getter for onmouseup
`java.lang.String` | `getOnselect()` HTML: script expression; The onselect event occurs when a user selects some text in a text field.
`int` | `getSize()` This attribute tells the user agent the initial width of the control.
`java.lang.String` | `getStyle()` CSS style(s) to be applied when this component is rendered.
`java.lang.String` | `getStyleClass()` Corresponds to the HTML class attribute.
`java.lang.String` | `getTabindex()` This attribute specifies the position of the current element in the tabbing order for the current document.
`java.lang.String` | `getTarget()` Target frame for action to execute.
`boolean` | `isDisabled()` When set for a form control, this boolean attribute disables the control for user input Getter for disabled
`boolean` | `isExpanded()` If “true” group will be displayed expanded initially.
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAccesskey(java.lang.String __accesskey)` This attribute assigns an access key to an element.
`void` | `setAlign(java.lang.String __align)` left|center|right|justify [CI] Deprecated.
`void` | `setAlt(java.lang.String __alt)` For a user agents that cannot display images, forms, or applets, this attribute specifies alternate text.
`void` | `setDisabled(boolean __disabled)` When set for a form control, this boolean attribute disables the control for user input Setter for disabled
`void` | `setDisabledClass(java.lang.String __disabledClass)` Class to be applied to disabled items.
`void` | `setDisabledStyle(java.lang.String __disabledStyle)` CSS style rules to be applied to disabled items.
`void` | `setExpanded(boolean __expanded)` If “true” group will be displayed expanded initially.
`void` | `setExpandMode(java.lang.String __expandMode)` Set the submission mode for all panel menu groups after expand/collapse except ones where this attribute redefined.
`void` | `setHoverClass(java.lang.String __hoverClass)` Class to be applied to hovered items.
`void` | `setHoverStyle(java.lang.String __hoverStyle)` CSS style rules to be applied to hovered items.
`void` | `setIconClass(java.lang.String __iconClass)` Class to be applied to icon element.
`void` | `setIconCollapsed(java.lang.String __iconCollapsed)` Path to the icon to be displayed for the collapsed item state Setter for iconCollapsed
`void` | `setIconDisabled(java.lang.String __iconDisabled)` Path to the icon to be displayed for the disabled item state Setter for iconDisabled
`void` | `setIconExpanded(java.lang.String __iconExpanded)` Path to the icon to be displayed for the expanded item state Setter for iconExpanded
`void` | `setIconStyle(java.lang.String __iconStyle)` CSS style rules to be applied Setter for iconStyle
`void` | `setLabel(java.lang.String __label)` Displayed node's text Setter for label
`void` | `setMaxlength(int __maxlength)` When the type attribute has the value "text" or "password", this attribute specifies the maximum number of characters the user may enter.
`void` | `setName(java.lang.String __name)` 'selectedChild' attribute of PanelMenu refers to group/item with the same name Setter for name
`void` | `setOnblur(java.lang.String __onblur)` HTML: script expression; the element lost the focus Setter for onblur
`void` | `setOnchange(java.lang.String __onchange)` HTML: script expression; the element value was changed Setter for onchange
`void` | `setOnclick(java.lang.String __onclick)` HTML: a script expression; a pointer button is clicked Setter for onclick
`void` | `setOncollapse(java.lang.String __oncollapse)` HTML: script expression; group was closed Setter for oncollapse
`void` | `setOndblclick(java.lang.String __ondblclick)` HTML: a script expression; a pointer button is double-clicked Setter for ondblclick
`void` | `setOnexpand(java.lang.String __onexpand)` HTML: script expression; group was opened Setter for onexpand
`void` | `setOnfocus(java.lang.String __onfocus)` HTML: script expression; the element got the focus Setter for onfocus
`void` | `setOnkeydown(java.lang.String __onkeydown)` HTML: a script expression; a key is pressed down Setter for onkeydown
`void` | `setOnkeypress(java.lang.String __onkeypress)` HTML: a script expression; a key is pressed and released Setter for onkeypress
`void` | `setOnkeyup(java.lang.String __onkeyup)` HTML: a script expression; a key is released Setter for onkeyup
`void` | `setOnmousedown(java.lang.String __onmousedown)` HTML: script expression; a pointer button is pressed down Setter for onmousedown
`void` | `setOnmousemove(java.lang.String __onmousemove)` HTML: a script expression; a pointer is moved within Setter for onmousemove
`void` | `setOnmouseout(java.lang.String __onmouseout)` HTML: a script expression; a pointer is moved away Setter for onmouseout
`void` | `setOnmouseover(java.lang.String __onmouseover)` HTML: a script expression; a pointer is moved onto Setter for onmouseover
`void` | `setOnmouseup(java.lang.String __onmouseup)` HTML: script expression; a pointer button is released Setter for onmouseup
`void` | `setOnselect(java.lang.String __onselect)` HTML: script expression; The onselect event occurs when a user selects some text in a text field.
`void` | `setSize(int __size)` This attribute tells the user agent the initial width of the control.
`void` | `setStyle(java.lang.String __style)` CSS style(s) to be applied when this component is rendered.
`void` | `setStyleClass(java.lang.String __styleClass)` Corresponds to the HTML class attribute.
`void` | `setTabindex(java.lang.String __tabindex)` This attribute specifies the position of the current element in the tabbing order for the current document.
`void` | `setTarget(java.lang.String __target)` Target frame for action to execute.

Methods inherited from class org.richfaces.component.UIPanelMenuGroup
`addActionListener, broadcast, getAction, getActionListener, getActionListeners, queueEvent, removeActionListener, setAction, setActionListener`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, compareValues, decode, getConvertedValue, getSubmittedValue, getValidator, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, setImmediate, setLocalValueSet, setRequired, setSubmittedValue, setValid, setValidator, setValue, setValueChangeListener, updateModel, validate, validateValue`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ActionSource
`isImmediate, setImmediate`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlPanelMenuGroup

    public HtmlPanelMenuGroup()

  Constructor to init default renderers

Method Detail

### setHoverClass

    public void setHoverClass(java.lang.String __hoverClass)

  Class to be applied to hovered items. Setter for hoverClass

  Specified by:
    `setHoverClass` in class `UIPanelMenuGroup`
  Parameters:
    `hoverClass` - - new value

### getHoverClass

    public java.lang.String getHoverClass()

  Class to be applied to hovered items. Getter for hoverClass

  Specified by:
    `getHoverClass` in class `UIPanelMenuGroup`
  Returns:
    hoverClass value from local variable or value bindings

### setDisabledStyle

    public void setDisabledStyle(java.lang.String __disabledStyle)

  CSS style rules to be applied to disabled items. Setter for disabledStyle

  Specified by:
    `setDisabledStyle` in class `UIPanelMenuGroup`
  Parameters:
    `disabledStyle` - - new value

### getDisabledStyle

    public java.lang.String getDisabledStyle()

  CSS style rules to be applied to disabled items. Getter for disabledStyle

  Specified by:
    `getDisabledStyle` in class `UIPanelMenuGroup`
  Returns:
    disabledStyle value from local variable or value bindings

### setHoverStyle

    public void setHoverStyle(java.lang.String __hoverStyle)

  CSS style rules to be applied to hovered items. Setter for hoverStyle

  Specified by:
    `setHoverStyle` in class `UIPanelMenuGroup`
  Parameters:
    `hoverStyle` - - new value

### getHoverStyle

    public java.lang.String getHoverStyle()

  CSS style rules to be applied to hovered items. Getter for hoverStyle

  Specified by:
    `getHoverStyle` in class `UIPanelMenuGroup`
  Returns:
    hoverStyle value from local variable or value bindings

### setOnchange

    public void setOnchange(java.lang.String __onchange)

  HTML: script expression; the element value was changed Setter for onchange

  Parameters:
    `onchange` - - new value

### getOnchange

    public java.lang.String getOnchange()

  HTML: script expression; the element value was changed Getter for onchange

  Returns:
    onchange value from local variable or value bindings

### setOnexpand

    public void setOnexpand(java.lang.String __onexpand)

  HTML: script expression; group was opened Setter for onexpand

  Specified by:
    `setOnexpand` in class `UIPanelMenuGroup`
  Parameters:
    `onexpand` - - new value

### getOnexpand

    public java.lang.String getOnexpand()

  HTML: script expression; group was opened Getter for onexpand

  Specified by:
    `getOnexpand` in class `UIPanelMenuGroup`
  Returns:
    onexpand value from local variable or value bindings

### setStyle

    public void setStyle(java.lang.String __style)

  CSS style(s) to be applied when this component is rendered. Setter for style

  Specified by:
    `setStyle` in class `UIPanelMenuGroup`
  Parameters:
    `style` - - new value

### getStyle

    public java.lang.String getStyle()

  CSS style(s) to be applied when this component is rendered. Getter for style

  Specified by:
    `getStyle` in class `UIPanelMenuGroup`
  Returns:
    style value from local variable or value bindings

### setSize

    public void setSize(int __size)

  This attribute tells the user agent the initial width of the control. The width is given in pixels except when type attribute has the value "text" or "password". In that case, its value refers to the (integer) number of characters Setter for size

  Parameters:
    `size` - - new value

### getSize

    public int getSize()

  This attribute tells the user agent the initial width of the control. The width is given in pixels except when type attribute has the value "text" or "password". In that case, its value refers to the (integer) number of characters Getter for size

  Returns:
    size value from local variable or value bindings

### setOncollapse

    public void setOncollapse(java.lang.String __oncollapse)

  HTML: script expression; group was closed Setter for oncollapse

  Specified by:
    `setOncollapse` in class `UIPanelMenuGroup`
  Parameters:
    `oncollapse` - - new value

### getOncollapse

    public java.lang.String getOncollapse()

  HTML: script expression; group was closed Getter for oncollapse

  Specified by:
    `getOncollapse` in class `UIPanelMenuGroup`
  Returns:
    oncollapse value from local variable or value bindings

### setOnmouseover

    public void setOnmouseover(java.lang.String __onmouseover)

  HTML: a script expression; a pointer is moved onto Setter for onmouseover

  Parameters:
    `onmouseover` - - new value

### getOnmouseover

    public java.lang.String getOnmouseover()

  HTML: a script expression; a pointer is moved onto Getter for onmouseover

  Returns:
    onmouseover value from local variable or value bindings

### setDisabledClass

    public void setDisabledClass(java.lang.String __disabledClass)

  Class to be applied to disabled items. Setter for disabledClass

  Specified by:
    `setDisabledClass` in class `UIPanelMenuGroup`
  Parameters:
    `disabledClass` - - new value

### getDisabledClass

    public java.lang.String getDisabledClass()

  Class to be applied to disabled items. Getter for disabledClass

  Specified by:
    `getDisabledClass` in class `UIPanelMenuGroup`
  Returns:
    disabledClass value from local variable or value bindings

### setOnkeyup

    public void setOnkeyup(java.lang.String __onkeyup)

  HTML: a script expression; a key is released Setter for onkeyup

  Parameters:
    `onkeyup` - - new value

### getOnkeyup

    public java.lang.String getOnkeyup()

  HTML: a script expression; a key is released Getter for onkeyup

  Returns:
    onkeyup value from local variable or value bindings

### setTabindex

    public void setTabindex(java.lang.String __tabindex)

  This attribute specifies the position of the current element in the tabbing order for the current document. This value must be a number between 0 and 32767. User agents should ignore leading zeros Setter for tabindex

  Parameters:
    `tabindex` - - new value

### getTabindex

    public java.lang.String getTabindex()

  This attribute specifies the position of the current element in the tabbing order for the current document. This value must be a number between 0 and 32767. User agents should ignore leading zeros Getter for tabindex

  Returns:
    tabindex value from local variable or value bindings

### setMaxlength

    public void setMaxlength(int __maxlength)

  When the type attribute has the value "text" or "password", this attribute specifies the maximum number of characters the user may enter. This number may exceed the specified size, in which case the user agent should offer a scrolling mechanism. The default value for this attribute is an unlimited number Setter for maxlength

  Parameters:
    `maxlength` - - new value

### getMaxlength

    public int getMaxlength()

  When the type attribute has the value "text" or "password", this attribute specifies the maximum number of characters the user may enter. This number may exceed the specified size, in which case the user agent should offer a scrolling mechanism. The default value for this attribute is an unlimited number Getter for maxlength

  Returns:
    maxlength value from local variable or value bindings

### setDisabled

    public void setDisabled(boolean __disabled)

  When set for a form control, this boolean attribute disables the control for user input Setter for disabled

  Specified by:
    `setDisabled` in class `UIPanelMenuGroup`
  Parameters:
    `disabled` - - new value

### isDisabled

    public boolean isDisabled()

  When set for a form control, this boolean attribute disables the control for user input Getter for disabled

  Specified by:
    `isDisabled` in class `UIPanelMenuGroup`
  Returns:
    disabled value from local variable or value bindings

### setAlt

    public void setAlt(java.lang.String __alt)

  For a user agents that cannot display images, forms, or applets, this attribute specifies alternate text. The language of the alternate text is specified by the lang attribute Setter for alt

  Parameters:
    `alt` - - new value

### getAlt

    public java.lang.String getAlt()

  For a user agents that cannot display images, forms, or applets, this attribute specifies alternate text. The language of the alternate text is specified by the lang attribute Getter for alt

  Returns:
    alt value from local variable or value bindings

### setOnmouseout

    public void setOnmouseout(java.lang.String __onmouseout)

  HTML: a script expression; a pointer is moved away Setter for onmouseout

  Parameters:
    `onmouseout` - - new value

### getOnmouseout

    public java.lang.String getOnmouseout()

  HTML: a script expression; a pointer is moved away Getter for onmouseout

  Returns:
    onmouseout value from local variable or value bindings

### setOnselect

    public void setOnselect(java.lang.String __onselect)

  HTML: script expression; The onselect event occurs when a user selects some text in a text field. This attribute may be used with the INPUT and TEXTAREA elements Setter for onselect

  Parameters:
    `onselect` - - new value

### getOnselect

    public java.lang.String getOnselect()

  HTML: script expression; The onselect event occurs when a user selects some text in a text field. This attribute may be used with the INPUT and TEXTAREA elements Getter for onselect

  Returns:
    onselect value from local variable or value bindings

### setIconStyle

    public void setIconStyle(java.lang.String __iconStyle)

  CSS style rules to be applied Setter for iconStyle

  Specified by:
    `setIconStyle` in class `UIPanelMenuGroup`
  Parameters:
    `iconStyle` - - new value

### getIconStyle

    public java.lang.String getIconStyle()

  CSS style rules to be applied Getter for iconStyle

  Specified by:
    `getIconStyle` in class `UIPanelMenuGroup`
  Returns:
    iconStyle value from local variable or value bindings

### setExpandMode

    public void setExpandMode(java.lang.String __expandMode)

  Set the submission mode for all panel menu groups after expand/collapse except ones where this attribute redefined. (ajax, server, none(Default)) Setter for expandMode

  Specified by:
    `setExpandMode` in class `UIPanelMenuGroup`
  Parameters:
    `expandMode` - - new value

### getExpandMode

    public java.lang.String getExpandMode()

  Set the submission mode for all panel menu groups after expand/collapse except ones where this attribute redefined. (ajax, server, none(Default)) Getter for expandMode

  Specified by:
    `getExpandMode` in class `UIPanelMenuGroup`
  Returns:
    expandMode value from local variable or value bindings

### setOnmouseup

    public void setOnmouseup(java.lang.String __onmouseup)

  HTML: script expression; a pointer button is released Setter for onmouseup

  Parameters:
    `onmouseup` - - new value

### getOnmouseup

    public java.lang.String getOnmouseup()

  HTML: script expression; a pointer button is released Getter for onmouseup

  Returns:
    onmouseup value from local variable or value bindings

### setOnmousemove

    public void setOnmousemove(java.lang.String __onmousemove)

  HTML: a script expression; a pointer is moved within Setter for onmousemove

  Parameters:
    `onmousemove` - - new value

### getOnmousemove

    public java.lang.String getOnmousemove()

  HTML: a script expression; a pointer is moved within Getter for onmousemove

  Returns:
    onmousemove value from local variable or value bindings

### setIconClass

    public void setIconClass(java.lang.String __iconClass)

  Class to be applied to icon element. Setter for iconClass

  Specified by:
    `setIconClass` in class `UIPanelMenuGroup`
  Parameters:
    `iconClass` - - new value

### getIconClass

    public java.lang.String getIconClass()

  Class to be applied to icon element. Getter for iconClass

  Specified by:
    `getIconClass` in class `UIPanelMenuGroup`
  Returns:
    iconClass value from local variable or value bindings

### setIconExpanded

    public void setIconExpanded(java.lang.String __iconExpanded)

  Path to the icon to be displayed for the expanded item state Setter for iconExpanded

  Specified by:
    `setIconExpanded` in class `UIPanelMenuGroup`
  Parameters:
    `iconExpanded` - - new value

### getIconExpanded

    public java.lang.String getIconExpanded()

  Path to the icon to be displayed for the expanded item state Getter for iconExpanded

  Specified by:
    `getIconExpanded` in class `UIPanelMenuGroup`
  Returns:
    iconExpanded value from local variable or value bindings

### setTarget

    public void setTarget(java.lang.String __target)

  Target frame for action to execute. Setter for target

  Specified by:
    `setTarget` in class `UIPanelMenuGroup`
  Parameters:
    `target` - - new value

### getTarget

    public java.lang.String getTarget()

  Target frame for action to execute. Getter for target

  Specified by:
    `getTarget` in class `UIPanelMenuGroup`
  Returns:
    target value from local variable or value bindings

### setIconDisabled

    public void setIconDisabled(java.lang.String __iconDisabled)

  Path to the icon to be displayed for the disabled item state Setter for iconDisabled

  Specified by:
    `setIconDisabled` in class `UIPanelMenuGroup`
  Parameters:
    `iconDisabled` - - new value

### getIconDisabled

    public java.lang.String getIconDisabled()

  Path to the icon to be displayed for the disabled item state Getter for iconDisabled

  Specified by:
    `getIconDisabled` in class `UIPanelMenuGroup`
  Returns:
    iconDisabled value from local variable or value bindings

### setIconCollapsed

    public void setIconCollapsed(java.lang.String __iconCollapsed)

  Path to the icon to be displayed for the collapsed item state Setter for iconCollapsed

  Specified by:
    `setIconCollapsed` in class `UIPanelMenuGroup`
  Parameters:
    `iconCollapsed` - - new value

### getIconCollapsed

    public java.lang.String getIconCollapsed()

  Path to the icon to be displayed for the collapsed item state Getter for iconCollapsed

  Specified by:
    `getIconCollapsed` in class `UIPanelMenuGroup`
  Returns:
    iconCollapsed value from local variable or value bindings

### setStyleClass

    public void setStyleClass(java.lang.String __styleClass)

  Corresponds to the HTML class attribute. Setter for styleClass

  Specified by:
    `setStyleClass` in class `UIPanelMenuGroup`
  Parameters:
    `styleClass` - - new value

### getStyleClass

    public java.lang.String getStyleClass()

  Corresponds to the HTML class attribute. Getter for styleClass

  Specified by:
    `getStyleClass` in class `UIPanelMenuGroup`
  Returns:
    styleClass value from local variable or value bindings

### setAccesskey

    public void setAccesskey(java.lang.String __accesskey)

  This attribute assigns an access key to an element. An access key is a single character from the document character set. Note: Authors should consider the input method of the expected reader when specifying an accesskey Setter for accesskey

  Parameters:
    `accesskey` - - new value

### getAccesskey

    public java.lang.String getAccesskey()

  This attribute assigns an access key to an element. An access key is a single character from the document character set. Note: Authors should consider the input method of the expected reader when specifying an accesskey Getter for accesskey

  Returns:
    accesskey value from local variable or value bindings

### setOnkeypress

    public void setOnkeypress(java.lang.String __onkeypress)

  HTML: a script expression; a key is pressed and released Setter for onkeypress

  Parameters:
    `onkeypress` - - new value

### getOnkeypress

    public java.lang.String getOnkeypress()

  HTML: a script expression; a key is pressed and released Getter for onkeypress

  Returns:
    onkeypress value from local variable or value bindings

### setAlign

    public void setAlign(java.lang.String __align)

  left|center|right|justify [CI] Deprecated. This attribute specifies the horizontal alignment of its element with respect to the surrounding context. Possible values: left: text lines are rendered flush left. center: text lines are centered. right: text lines are rendered flush right. justify: text lines are justified to both margins. The default depends on the base text direction. For left to right text, the default is align=left, while for right to left text, the default is align=right Setter for align

  Parameters:
    `align` - - new value

### getAlign

    public java.lang.String getAlign()

  left|center|right|justify [CI] Deprecated. This attribute specifies the horizontal alignment of its element with respect to the surrounding context. Possible values: left: text lines are rendered flush left. center: text lines are centered. right: text lines are rendered flush right. justify: text lines are justified to both margins. The default depends on the base text direction. For left to right text, the default is align=left, while for right to left text, the default is align=right Getter for align

  Returns:
    align value from local variable or value bindings

### setOndblclick

    public void setOndblclick(java.lang.String __ondblclick)

  HTML: a script expression; a pointer button is double-clicked Setter for ondblclick

  Parameters:
    `ondblclick` - - new value

### getOndblclick

    public java.lang.String getOndblclick()

  HTML: a script expression; a pointer button is double-clicked Getter for ondblclick

  Returns:
    ondblclick value from local variable or value bindings

### setName

    public void setName(java.lang.String __name)

  'selectedChild' attribute of PanelMenu refers to group/item with the same name Setter for name

  Specified by:
    `setName` in class `UIPanelMenuGroup`
  Parameters:
    `name` - - new value

### getName

    public java.lang.String getName()

  'selectedChild' attribute of PanelMenu refers to group/item with the same name Getter for name

  Specified by:
    `getName` in class `UIPanelMenuGroup`
  Returns:
    name value from local variable or value bindings

### setOnblur

    public void setOnblur(java.lang.String __onblur)

  HTML: script expression; the element lost the focus Setter for onblur

  Parameters:
    `onblur` - - new value

### getOnblur

    public java.lang.String getOnblur()

  HTML: script expression; the element lost the focus Getter for onblur

  Returns:
    onblur value from local variable or value bindings

### setOnclick

    public void setOnclick(java.lang.String __onclick)

  HTML: a script expression; a pointer button is clicked Setter for onclick

  Parameters:
    `onclick` - - new value

### getOnclick

    public java.lang.String getOnclick()

  HTML: a script expression; a pointer button is clicked Getter for onclick

  Returns:
    onclick value from local variable or value bindings

### setOnkeydown

    public void setOnkeydown(java.lang.String __onkeydown)

  HTML: a script expression; a key is pressed down Setter for onkeydown

  Parameters:
    `onkeydown` - - new value

### getOnkeydown

    public java.lang.String getOnkeydown()

  HTML: a script expression; a key is pressed down Getter for onkeydown

  Returns:
    onkeydown value from local variable or value bindings

### setOnmousedown

    public void setOnmousedown(java.lang.String __onmousedown)

  HTML: script expression; a pointer button is pressed down Setter for onmousedown

  Parameters:
    `onmousedown` - - new value

### getOnmousedown

    public java.lang.String getOnmousedown()

  HTML: script expression; a pointer button is pressed down Getter for onmousedown

  Returns:
    onmousedown value from local variable or value bindings

### setLabel

    public void setLabel(java.lang.String __label)

  Displayed node's text Setter for label

  Specified by:
    `setLabel` in class `UIPanelMenuGroup`
  Parameters:
    `label` - - new value

### getLabel

    public java.lang.String getLabel()

  Displayed node's text Getter for label

  Specified by:
    `getLabel` in class `UIPanelMenuGroup`
  Returns:
    label value from local variable or value bindings

### setOnfocus

    public void setOnfocus(java.lang.String __onfocus)

  HTML: script expression; the element got the focus Setter for onfocus

  Parameters:
    `onfocus` - - new value

### getOnfocus

    public java.lang.String getOnfocus()

  HTML: script expression; the element got the focus Getter for onfocus

  Returns:
    onfocus value from local variable or value bindings

### setExpanded

    public void setExpanded(boolean __expanded)

  If “true” group will be displayed expanded initially. Setter for expanded

  Specified by:
    `setExpanded` in class `UIPanelMenuGroup`
  Parameters:
    `expanded` - - new value

### isExpanded

    public boolean isExpanded()

  If “true” group will be displayed expanded initially. Getter for expanded

  Specified by:
    `isExpanded` in class `UIPanelMenuGroup`
  Returns:
    expanded value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIInput`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `UIPanelMenuGroup`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `UIPanelMenuGroup`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.